## org.apache.cocoon.transformer
Interface Transformer

All Superinterfaces:
  Actor

All Known Implementing Classes:
  XTTransformer, XalanTransformer

public interface Transformer
extends Actor

This interface is implemented by all XSLT tranformers.

Version:
  $Revision: 1.5 $ $Date: 2000/03/05 22:24:38 $
Author:
  Stefano Mazzocchi

Method Summary
`org.w3c.dom.Document` `transform(org.w3c.dom.Document document, java.lang.String documentBase, org.w3c.dom.Document sheet, java.lang.String sheetBase, org.w3c.dom.Document result, java.util.Dictionary parameters)` Process the DOM tree with the given transformation sheet and uses the result tree to return.

Methods inherited from interface org.apache.cocoon.framework.Actor
`init`

Method Detail

### transform

    public org.w3c.dom.Document transform(org.w3c.dom.Document document,
                                          java.lang.String documentBase,
                                          org.w3c.dom.Document sheet,
                                          java.lang.String sheetBase,
                                          org.w3c.dom.Document result,
                                          java.util.Dictionary parameters)
                                   throws java.lang.Exception

  Process the DOM tree with the given transformation sheet and uses the result tree to return.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.